LoadPackage("atlasrep");

groupname := "B";
subgroup := "(2^2xF4(2)):2";

LogTo("fusmax6.log");

Print("Possible fusions of conjugacy classes from ", subgroup, " into ", groupname, "\n");

ct1 := CharacterTable(groupname);
ct2 := CharacterTable(subgroup);
all := PossibleClassFusions(ct2, ct1);

for fus in all do
  for t in [1..Size(fus)] do
    Print(ClassNames(ct2)[t], " --> ", ClassNames(ct1)[fus[t]], ";\n");
  od;
  Print("--\n");
od;


