
LoadPackage("atlasrep");

groups := ["M12.2", "M22.2", "J2.2", "Suz.2", "HS.2", "McL.2", "He.2", "Fi22.2", "Fi24'.2", "ON.2", "J3.2", "2F4(2)'.2", "HN.2"];

ct := "";
ns := "";
f := [];
x := 1;

for name in groups do

  Print("Group: ", name, "\n");
  ct := CharacterTable(name);
  n := ClassPositionsOfDerivedSubgroup(ct);

  f := Filtered([1..NrConjugacyClasses(ct)], x->not x in n);
  Print("Conjugacy classes to study:\n");
  for x in f do
    Print(ClassNames(ct, "atlas")[x], ", ");
  od;
  Print("\n");
  Display(List(f, x->[ClassNames(ct, "atlas")[x], SizesConjugacyClasses(ct)[x], SizesCentralizers(ct)[x]]));
  Print("==\n");
od;

